Bug 262519 - Multiscroll cursor does not reappear
Summary: Multiscroll cursor does not reappear
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: latest git snapshot
Platform: Archlinux Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-08 13:32 UTC by Felix Rohrbach
Modified: 2011-02-12 20:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Rohrbach 2011-01-08 13:32:34 UTC
Version:           latest git snapshot (using KDE 4.5.5) 
OS:                Linux

If you scroll through a website with autoscroll and the cursor gets out of the website view the multiscroll cursor does not reappear.

Reproducible: Always

Steps to Reproduce:
1. Press the middle mouse button to activate multiscroll
2. Move the mouse out of the window. The multiscroll cursor changes to the normal cursor
3. Move the mouse into the window again.

Actual Results:  
The cursor stays the same

Expected Results:  
The cursor should change to a multiscroll cursor

The scrolling still works, it's just a visual thing.
Comment 1 Felix Rohrbach 2011-02-12 20:37:00 UTC
Git commit dc64aa2f10de89e2fcaa1f5a59001294d7e5bcc3 by Felix Rohrbach.
Committed on 12/02/2011 at 20:28.
Pushed by felixr into branch 'master'.

Reset webview's mouseicon if autoscroll is enabled and you reenter webview.

If you left the webview while autoscreen was enabled the mouseicon wasn't set to KIcon("transform-move") again. This patch fixes that.
Patch by Johannes Tr��scher, thanks!
Reviewed by Rohan Garg and me.
BUG: 262519
RB: 100637

M  +9    -0    src/webview.cpp     
M  +1    -0    src/webview.h     

http://commits.kde.org/rekonq/dc64aa2f10de89e2fcaa1f5a59001294d7e5bcc3